/**
 * 
 */
package com.pcloud.common.core.constant;

/**
 * @描述：模板消息发送的类型
 * @作者：songx
 * @创建时间：2016年12月2日,上午9:53:01
 * @版本：1.0
 */
public enum SendType {

	/**
	 * 通过微信用户标识发送
	 */
	SEND_BY_WECHAT_USER_ID("0"),
	
	/**
	 * 通过微信用户openId发送
	 */
	SEND_BY_OPENID("1"),
	
	/**
	 * 通过当事人发送
	 */
	SEND_BY_PARTY_ID("2"),
	
	/**
	 * 通过当事人发送
	 */
	SEND_BY_PARTY_ID_INCLUDE_MEMBER("3"),
	
	/**
	 * 通过成员账号发送
	 */
	SEND_BY_MEMBER("4"),
	
	/**
	 * 通过公众号ID发送
	 */
	SEND_BY_WECHAT("SEND_BY_WECHAT");
	
	/**
	 * 值
	 */
	public final String value;

	/**
	 * 构造
	 * 
	 * @param value
	 */
	private SendType(String value) {
		this.value = value;
	}
}
